org.eclipse.ease.debugging.model

## Class EaseDebugStackFrame

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.model.EaseDebugElement
      - - org.eclipse.ease.debugging.model.EaseDebugStackFrame

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IStackFrame, IStep, ISuspendResume, ITerminate

    public class EaseDebugStackFrame
    extends EaseDebugElement
    implements IStackFrame

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`EaseDebugElement.State`

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugStackFrame(EaseDebugThread thread, IScriptDebugFrame debugFrame)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canResume()`
`boolean` `canStepInto()`
`boolean` `canStepOver()`
`boolean` `canStepReturn()`
`boolean` `canSuspend()`
`int` `getCharEnd()`
`int` `getCharStart()`
`IScriptDebugFrame` `getDebugFrame()`
`int` `getLineNumber()`
`java.lang.String` `getName()`
`IRegisterGroup[]` `getRegisterGroups()`
`Script` `getScript()`
`EaseDebugThread` `getThread()`
`EaseDebugVariable[]` `getVariables()`
`boolean` `hasRegisterGroups()`
`boolean` `hasVariables()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`void` `resume()`
`void` `setDirty()`
`void` `setVariables(java.util.Collection<EaseDebugVariable> variables)`
`void` `stepInto()`
`void` `stepOver()`
`void` `stepReturn()`
`void` `suspend()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`canDisconnect, canTerminate, disconnect, getDebugTarget, getModelIdentifier, isDisconnected, isTerminated, setResumed, setSuspended, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, isTerminated, terminate`

### Constructor Detail

#### EaseDebugStackFrame

    public EaseDebugStackFrame(EaseDebugThread thread,
                               IScriptDebugFrame debugFrame)

### Method Detail

#### getThread

    public EaseDebugThread getThread()

Specified by:
  `getThread` in interface `IStackFrame`

#### getVariables

    public EaseDebugVariable[] getVariables()

Specified by:
  `getVariables` in interface `IStackFrame`

#### hasVariables

    public boolean hasVariables()

Specified by:
  `hasVariables` in interface `IStackFrame`

#### getLineNumber

    public int getLineNumber()

Specified by:
  `getLineNumber` in interface `IStackFrame`

#### getCharStart

    public int getCharStart()

Specified by:
  `getCharStart` in interface `IStackFrame`

#### getCharEnd

    public int getCharEnd()

Specified by:
  `getCharEnd` in interface `IStackFrame`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IStackFrame`

#### getRegisterGroups

    public IRegisterGroup[] getRegisterGroups()

Specified by:
  `getRegisterGroups` in interface `IStackFrame`

#### hasRegisterGroups

    public boolean hasRegisterGroups()

Specified by:
  `hasRegisterGroups` in interface `IStackFrame`

#### getScript

    public Script getScript()

#### getDebugFrame

    public IScriptDebugFrame getDebugFrame()

#### setDirty

    public void setDirty()

#### setVariables

    public void setVariables(java.util.Collection<EaseDebugVariable> variables)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### canSuspend

    public boolean canSuspend()

Specified by:
  `canSuspend` in interface `ISuspendResume`
Overrides:
  `canSuspend` in class `EaseDebugElement`

#### canResume

    public boolean canResume()

Specified by:
  `canResume` in interface `ISuspendResume`
Overrides:
  `canResume` in class `EaseDebugElement`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`
Overrides:
  `isSuspended` in class `EaseDebugElement`

#### resume

    public void resume()

Specified by:
  `resume` in interface `ISuspendResume`
Overrides:
  `resume` in class `EaseDebugElement`

#### suspend

    public void suspend()

Specified by:
  `suspend` in interface `ISuspendResume`
Overrides:
  `suspend` in class `EaseDebugElement`

#### canStepInto

    public boolean canStepInto()

Specified by:
  `canStepInto` in interface `IStep`
Overrides:
  `canStepInto` in class `EaseDebugElement`

#### canStepOver

    public boolean canStepOver()

Specified by:
  `canStepOver` in interface `IStep`
Overrides:
  `canStepOver` in class `EaseDebugElement`

#### canStepReturn

    public boolean canStepReturn()

Specified by:
  `canStepReturn` in interface `IStep`
Overrides:
  `canStepReturn` in class `EaseDebugElement`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`
Overrides:
  `isStepping` in class `EaseDebugElement`

#### stepInto

    public void stepInto()

Specified by:
  `stepInto` in interface `IStep`
Overrides:
  `stepInto` in class `EaseDebugElement`

#### stepOver

    public void stepOver()

Specified by:
  `stepOver` in interface `IStep`
Overrides:
  `stepOver` in class `EaseDebugElement`

#### stepReturn

    public void stepReturn()

Specified by:
  `stepReturn` in interface `IStep`
Overrides:
  `stepReturn` in class `EaseDebugElement`